<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/configuration.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Structures de données</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier configuration.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une configuration est une structure permettant de définir l'état de la cellule suivante en fonction d'une regle.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;configuration.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de configuration.c:</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c__incl.png" border="0" usemap="#src_2configuration_8c" alt=""/></div>
<map name="src_2configuration_8c" id="src_2configuration_8c">
<area shape="rect" title="Une configuration est une structure permettant de définir l&#39;état de la cellule suivante en fonction d..." alt="" coords="5,5,133,32"/>
<area shape="rect" title=" " alt="" coords="16,80,123,107"/>
</map>
</div>
</div>
<p><a href="configuration_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Structures de données</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structconfiguration.html">configuration</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Une configuration.  <a href="structconfiguration.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a2da1ecaa0c8bee5b0de11c7a0cf25376"><td class="memItemLeft" align="right" valign="top">ptr_str_conf&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">creer_configuration</a> ()</td></tr>
<tr class="memdesc:a2da1ecaa0c8bee5b0de11c7a0cf25376"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer une structure configuration en initialisant ses valeurs à 0.  <a href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376">Plus de détails...</a><br /></td></tr>
<tr class="separator:a2da1ecaa0c8bee5b0de11c7a0cf25376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8683ab4db526e75f84e627323f8a4b01"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">init_configuration_entree</a> (ptr_str_conf ptr, unsigned int gauche, unsigned int centre, unsigned int droite)</td></tr>
<tr class="memdesc:a8683ab4db526e75f84e627323f8a4b01"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise les valeurs pour une structure configuration donnée.  <a href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8683ab4db526e75f84e627323f8a4b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6f7671e46ec27554e8ab5da3a87e71d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">init_configuration_sortie</a> (ptr_str_conf ptr, unsigned int sortie)</td></tr>
<tr class="memdesc:ab6f7671e46ec27554e8ab5da3a87e71d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise la valeurs de sortie pour une structure configuration donnée.  <a href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab6f7671e46ec27554e8ab5da3a87e71d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa857710a78f4427585c4014ea25ad263"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">get_etat_gauche</a> (ptr_str_conf ptr)</td></tr>
<tr class="memdesc:aa857710a78f4427585c4014ea25ad263"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut etat_gauche.  <a href="configuration_8c.html#aa857710a78f4427585c4014ea25ad263">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa857710a78f4427585c4014ea25ad263"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a186fea29942ab35b744e99b54d731d23"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">get_etat_centre</a> (ptr_str_conf ptr)</td></tr>
<tr class="memdesc:a186fea29942ab35b744e99b54d731d23"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut etat_centre.  <a href="configuration_8c.html#a186fea29942ab35b744e99b54d731d23">Plus de détails...</a><br /></td></tr>
<tr class="separator:a186fea29942ab35b744e99b54d731d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a864b89b01c028493f6b7c31523277806"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">get_etat_droite</a> (ptr_str_conf ptr)</td></tr>
<tr class="memdesc:a864b89b01c028493f6b7c31523277806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut etat_droite.  <a href="configuration_8c.html#a864b89b01c028493f6b7c31523277806">Plus de détails...</a><br /></td></tr>
<tr class="separator:a864b89b01c028493f6b7c31523277806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9555a26a5ba14b904e676207072cc5af"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">get_etat_sortie</a> (ptr_str_conf ptr)</td></tr>
<tr class="memdesc:a9555a26a5ba14b904e676207072cc5af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut etat_sortie.  <a href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9555a26a5ba14b904e676207072cc5af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab64d6ac48d2c2034a1f505bc2d174154"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">cmp_conf</a> (ptr_str_conf conf1, ptr_str_conf conf2)</td></tr>
<tr class="memdesc:ab64d6ac48d2c2034a1f505bc2d174154"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2.  <a href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab64d6ac48d2c2034a1f505bc2d174154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6bae512bff79422335f1132a8ac5695"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">afficher_configuration_elementaire</a> (ptr_str_conf ptr)</td></tr>
<tr class="memdesc:ad6bae512bff79422335f1132a8ac5695"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche les attributs d'une configuration.  <a href="configuration_8c.html#ad6bae512bff79422335f1132a8ac5695">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad6bae512bff79422335f1132a8ac5695"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0142d10519eacf9f6489fc21cdcaa759"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">afficher_configuration_multiple</a> (ptr_str_conf ptr, unsigned int indice)</td></tr>
<tr class="memdesc:a0142d10519eacf9f6489fc21cdcaa759"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche une configuration à plus de 2 états.  <a href="configuration_8c.html#a0142d10519eacf9f6489fc21cdcaa759">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0142d10519eacf9f6489fc21cdcaa759"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une configuration est une structure permettant de définir l'état de la cellule suivante en fonction d'une regle. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-10-04</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="ad6bae512bff79422335f1132a8ac5695"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad6bae512bff79422335f1132a8ac5695">&#9670;&nbsp;</a></span>afficher_configuration_elementaire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void afficher_configuration_elementaire </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche les attributs d'une configuration. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure configuration </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00163">163</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_ad6bae512bff79422335f1132a8ac5695_icgraph.png" border="0" usemap="#configuration_8c_ad6bae512bff79422335f1132a8ac5695_icgraph" alt=""/></div>
<map name="configuration_8c_ad6bae512bff79422335f1132a8ac5695_icgraph" id="configuration_8c_ad6bae512bff79422335f1132a8ac5695_icgraph">
<area shape="rect" title="Affiche les attributs d&#39;une configuration." alt="" coords="152,5,295,47"/>
<area shape="rect" href="regle_8c.html#a3f644974675b843554ffe9330ef4846b" title="Affiche une regle (l&#39;ensemble des configurations)" alt="" coords="5,13,104,39"/>
</map>
</div>

</div>
</div>
<a id="a0142d10519eacf9f6489fc21cdcaa759"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0142d10519eacf9f6489fc21cdcaa759">&#9670;&nbsp;</a></span>afficher_configuration_multiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void afficher_configuration_multiple </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>indice</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche une configuration à plus de 2 états. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur une structure configuration. </td></tr>
    <tr><td class="paramname">indice</td><td>l'indice de la configuration </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00177">177</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_a0142d10519eacf9f6489fc21cdcaa759_icgraph.png" border="0" usemap="#configuration_8c_a0142d10519eacf9f6489fc21cdcaa759_icgraph" alt=""/></div>
<map name="configuration_8c_a0142d10519eacf9f6489fc21cdcaa759_icgraph" id="configuration_8c_a0142d10519eacf9f6489fc21cdcaa759_icgraph">
<area shape="rect" title="Affiche une configuration à plus de 2 états." alt="" coords="152,5,295,47"/>
<area shape="rect" href="regle_8c.html#a3f644974675b843554ffe9330ef4846b" title="Affiche une regle (l&#39;ensemble des configurations)" alt="" coords="5,13,104,39"/>
</map>
</div>

</div>
</div>
<a id="ab64d6ac48d2c2034a1f505bc2d174154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab64d6ac48d2c2034a1f505bc2d174154">&#9670;&nbsp;</a></span>cmp_conf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool cmp_conf </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>conf1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>conf2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">conf1</td><td>Un pointeur sur un pointeur de structure configuration </td></tr>
    <tr><td class="paramname">conf2</td><td>Un pointeur sur un pointeur de structure configuration </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true </dd>
<dd>
false </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00150">150</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_ab64d6ac48d2c2034a1f505bc2d174154_icgraph.png" border="0" usemap="#configuration_8c_ab64d6ac48d2c2034a1f505bc2d174154_icgraph" alt=""/></div>
<map name="configuration_8c_ab64d6ac48d2c2034a1f505bc2d174154_icgraph" id="configuration_8c_ab64d6ac48d2c2034a1f505bc2d174154_icgraph">
<area shape="rect" title="Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2." alt="" coords="421,5,500,32"/>
<area shape="rect" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="215,5,373,32"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,5,167,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a2da1ecaa0c8bee5b0de11c7a0cf25376"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2da1ecaa0c8bee5b0de11c7a0cf25376">&#9670;&nbsp;</a></span>creer_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_conf creer_configuration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer une structure configuration en initialisant ses valeurs à 0. </p>
<dl class="section return"><dt>Renvoie</dt><dd>ptr_str_conf Un pointeur sur une pointeur de structure configuration </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00048">48</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_a2da1ecaa0c8bee5b0de11c7a0cf25376_icgraph.png" border="0" usemap="#configuration_8c_a2da1ecaa0c8bee5b0de11c7a0cf25376_icgraph" alt=""/></div>
<map name="configuration_8c_a2da1ecaa0c8bee5b0de11c7a0cf25376_icgraph" id="configuration_8c_a2da1ecaa0c8bee5b0de11c7a0cf25376_icgraph">
<area shape="rect" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="560,56,691,83"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="401,5,509,32"/>
<area shape="rect" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="399,56,512,83"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="276,107,339,133"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,56,351,83"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,56,216,83"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,81,56,108"/>
</map>
</div>

</div>
</div>
<a id="a186fea29942ab35b744e99b54d731d23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a186fea29942ab35b744e99b54d731d23">&#9670;&nbsp;</a></span>get_etat_centre()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_etat_centre </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut etat_centre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00111">111</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="a864b89b01c028493f6b7c31523277806"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a864b89b01c028493f6b7c31523277806">&#9670;&nbsp;</a></span>get_etat_droite()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_etat_droite </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut etat_droite. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00122">122</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="aa857710a78f4427585c4014ea25ad263"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa857710a78f4427585c4014ea25ad263">&#9670;&nbsp;</a></span>get_etat_gauche()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_etat_gauche </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut etat_gauche. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00100">100</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>

</div>
</div>
<a id="a9555a26a5ba14b904e676207072cc5af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9555a26a5ba14b904e676207072cc5af">&#9670;&nbsp;</a></span>get_etat_sortie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_etat_sortie </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut etat_sortie. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00133">133</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_a9555a26a5ba14b904e676207072cc5af_icgraph.png" border="0" usemap="#configuration_8c_a9555a26a5ba14b904e676207072cc5af_icgraph" alt=""/></div>
<map name="configuration_8c_a9555a26a5ba14b904e676207072cc5af_icgraph" id="configuration_8c_a9555a26a5ba14b904e676207072cc5af_icgraph">
<area shape="rect" title="Retourne l&#39;attribut etat_sortie." alt="" coords="421,31,529,57"/>
<area shape="rect" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="215,5,373,32"/>
<area shape="rect" href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c" title="Trouve la valeur de la sortie a partir de l&#39;indice donnee en parametre." alt="" coords="234,56,354,83"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,31,167,57"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,31,56,57"/>
</map>
</div>

</div>
</div>
<a id="a8683ab4db526e75f84e627323f8a4b01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8683ab4db526e75f84e627323f8a4b01">&#9670;&nbsp;</a></span>init_configuration_entree()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_configuration_entree </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>gauche</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>centre</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>droite</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialise les valeurs pour une structure configuration donnée. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
    <tr><td class="paramname">gauche</td><td>La valeur de l'état de la cellule de gauche </td></tr>
    <tr><td class="paramname">centre</td><td>La valeur de l'état de la cellule de du milieur </td></tr>
    <tr><td class="paramname">droite</td><td>La valeur de l'état de la cellule de droite </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00073">73</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_a8683ab4db526e75f84e627323f8a4b01_icgraph.png" border="0" usemap="#configuration_8c_a8683ab4db526e75f84e627323f8a4b01_icgraph" alt=""/></div>
<map name="configuration_8c_a8683ab4db526e75f84e627323f8a4b01_icgraph" id="configuration_8c_a8683ab4db526e75f84e627323f8a4b01_icgraph">
<area shape="rect" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="555,23,673,65"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="399,5,507,32"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="276,56,339,83"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,5,351,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,31,56,57"/>
</map>
</div>

</div>
</div>
<a id="ab6f7671e46ec27554e8ab5da3a87e71d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6f7671e46ec27554e8ab5da3a87e71d">&#9670;&nbsp;</a></span>init_configuration_sortie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_configuration_sortie </td>
          <td>(</td>
          <td class="paramtype">ptr_str_conf&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>sortie</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialise la valeurs de sortie pour une structure configuration donnée. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur sur un pointeur de structure </td></tr>
    <tr><td class="paramname">sortie</td><td>La valeur de l'état de la cellule suivante </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="configuration_8c_source.html#l00086">86</a> du fichier <a class="el" href="configuration_8c_source.html">configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="configuration_8c_ab6f7671e46ec27554e8ab5da3a87e71d_icgraph.png" border="0" usemap="#configuration_8c_ab6f7671e46ec27554e8ab5da3a87e71d_icgraph" alt=""/></div>
<map name="configuration_8c_ab6f7671e46ec27554e8ab5da3a87e71d_icgraph" id="configuration_8c_ab6f7671e46ec27554e8ab5da3a87e71d_icgraph">
<area shape="rect" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="560,23,679,65"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="401,5,509,32"/>
<area shape="rect" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="399,56,512,83"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="264,31,351,57"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,31,216,57"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,31,56,57"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
